Skip to main content

Get user's limits by ID

GET 

/v2/users/:userId/limits

Returns the same summary of limits as Get user's limits, for an account given by its ID or username.

You can only access your own account, or the organization your API token belongs to. API tokens with limited permissions can't use this endpoint.

Request

Path Parameters

    userId string required

    User ID or username of your account, or of the organization your API token belongs to.


    Example: HGzIk8z78YcAPEB

Status 200

Response Headers
    {
    "data": {
    "monthlyUsageCycle": {
    "startAt": "2022-10-02T00:00:00.000Z",
    "endAt": "2022-11-01T23:59:59.999Z"
    },
    "limits": {
    "maxMonthlyUsageUsd": 300,
    "maxMonthlyActorComputeUnits": 1000,
    "maxMonthlyExternalDataTransferGbytes": 7,
    "maxMonthlyProxySerps": 50,
    "maxMonthlyResidentialProxyGbytes": 0.5,
    "maxActorMemoryGbytes": 16,
    "maxActorCount": 100,
    "maxActorTaskCount": 1000,
    "maxConcurrentActorJobs": 256,
    "maxTeamAccountSeatCount": 9,
    "dataRetentionDays": 90,
    "maxScheduleCount": 100,
    "maxMonthlyUnblockerUnits": 1000000
    },
    "current": {
    "monthlyUsageUsd": 43,
    "monthlyActorComputeUnits": 500.784475,
    "monthlyExternalDataTransferGbytes": 3.00861903931946,
    "monthlyProxySerps": 34,
    "monthlyResidentialProxyGbytes": 0.4,
    "actorMemoryGbytes": 8,
    "actorCount": 31,
    "actorTaskCount": 130,
    "activeActorJobCount": 0,
    "teamAccountSeatCount": 5,
    "scheduleCount": 77,
    "monthlyUnblockerUnits": 1520
    }
    }
    }